diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/wimax-phy.h ns-3.44/src/wimax/model/wimax-phy.h
--- ns-3.43/src/wimax/model/wimax-phy.h	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/src/wimax/model/wimax-phy.h	2025-03-09 16:55:49.819372700 -0700
@@ -31,7 +31,7 @@
 class Packet;
 
 /**
- * \ingroup wimax
+ * @ingroup wimax
  *
  * WiMAX PHY entity
  */
@@ -67,283 +67,283 @@
     };
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     WimaxPhy();
     ~WimaxPhy() override;
     /**
      * Attach the physical layer to a channel.
-     * \param channel the channel to which the physical layer will be attached
+     * @param channel the channel to which the physical layer will be attached
      */
     void Attach(Ptr<WimaxChannel> channel);
     /**
-     * \return the channel to which this physical layer is attached
+     * @return the channel to which this physical layer is attached
      */
     Ptr<WimaxChannel> GetChannel() const;
     /**
-     * \brief Set the device in which this physical layer is installed
-     * \param device the device in which this physical layer is installed
+     * @brief Set the device in which this physical layer is installed
+     * @param device the device in which this physical layer is installed
      */
     void SetDevice(Ptr<WimaxNetDevice> device);
     /**
-     * \return the the device in which this physical layer is installed
+     * @return the the device in which this physical layer is installed
      */
     Ptr<NetDevice> GetDevice() const;
     /**
-     * \brief set the callback function to call when a burst is received
-     * \param callback the callback function to call when a burst is received
+     * @brief set the callback function to call when a burst is received
+     * @param callback the callback function to call when a burst is received
      */
     void SetReceiveCallback(Callback<void, Ptr<const PacketBurst>> callback);
     /**
-     * \return the receive callback
+     * @return the receive callback
      */
     Callback<void, Ptr<const PacketBurst>> GetReceiveCallback() const;
     /**
-     * \brief send a packet on the channel
-     * \param params the parameters used to send the packet
+     * @brief send a packet on the channel
+     * @param params the parameters used to send the packet
      */
     virtual void Send(SendParams* params) = 0;
     /**
-     * \brief Get the type of the physical layer
-     * \returns the phy type
+     * @brief Get the type of the physical layer
+     * @returns the phy type
      */
     virtual PhyType GetPhyType() const = 0;
     /**
-     * \brief configure the physical layer in duplex mode
-     * \param rxFrequency the reception frequency
-     * \param txFrequency the transmission frequency
+     * @brief configure the physical layer in duplex mode
+     * @param rxFrequency the reception frequency
+     * @param txFrequency the transmission frequency
      */
     void SetDuplex(uint64_t rxFrequency, uint64_t txFrequency);
     /**
-     * \brief configure the physical layer in simplex mode
-     * \param frequency  the frequency to be used for reception and transmission process
+     * @brief configure the physical layer in simplex mode
+     * @param frequency  the frequency to be used for reception and transmission process
      */
     void SetSimplex(uint64_t frequency);
     /**
      * Get the reception frequency
-     * \return the reception frequency
+     * @return the reception frequency
      */
     uint64_t GetRxFrequency() const;
     /**
      * Get the transmission frequency
-     * \return the transmission frequency
+     * @return the transmission frequency
      */
     uint64_t GetTxFrequency() const;
     /**
      * Get the scanning frequency
-     * \return the scanning frequency
+     * @return the scanning frequency
      */
     uint64_t GetScanningFrequency() const;
     /**
      * Set the number of carriers in the physical frame
-     * \brief Set the number of carriers in the physical frame
-     * \param  nrCarriers the number of carriers in the frame
+     * @brief Set the number of carriers in the physical frame
+     * @param  nrCarriers the number of carriers in the frame
      */
     void SetNrCarriers(uint8_t nrCarriers);
     /**
      * Get the number of carriers in the physical frame
-     * \return the number of carriers in the physical frame
+     * @return the number of carriers in the physical frame
      */
     uint8_t GetNrCarriers() const;
     /**
-     * \brief Set the frame duration
-     * \param frameDuration the frame duration
+     * @brief Set the frame duration
+     * @param frameDuration the frame duration
      */
     void SetFrameDuration(Time frameDuration);
     /**
-     * \brief Get the frame duration
+     * @brief Get the frame duration
      * This method is redundant with GetFrameDuration ()
-     * \return the frame duration
+     * @return the frame duration
      */
     Time GetFrameDurationSec() const;
     /**
-     * \brief Get the frame duration
-     * \return the frame duration
+     * @brief Get the frame duration
+     * @return the frame duration
      */
     Time GetFrameDuration() const;
     /**
-     * \brief set the frequency on which the device should lock
-     * \param frequency the frequency to configure
+     * @brief set the frequency on which the device should lock
+     * @param frequency the frequency to configure
      */
     void SetFrequency(uint32_t frequency);
     /**
      * Get the frequency on which the device is locked
-     * \return the frequency on which the device is locked
+     * @return the frequency on which the device is locked
      */
     uint32_t GetFrequency() const;
     /**
-     * \brief Set the channel bandwidth
-     * \param channelBandwidth The channel bandwidth
+     * @brief Set the channel bandwidth
+     * @param channelBandwidth The channel bandwidth
      */
     void SetChannelBandwidth(uint32_t channelBandwidth);
     /**
      * Get the channel bandwidth
-     * \return the channel bandwidth
+     * @return the channel bandwidth
      */
     uint32_t GetChannelBandwidth() const;
     /**
      * Get the size of the FFT
-     * \return the size of the FFT
+     * @return the size of the FFT
      */
     uint16_t GetNfft() const;
     /**
      * Get the sampling factor
-     * \return the sampling factor
+     * @return the sampling factor
      */
     double GetSamplingFactor() const;
     /**
      * Get the sampling frequency
-     * \return the sampling frequency
+     * @return the sampling frequency
      */
     double GetSamplingFrequency() const;
     /**
-     * \brief set the physical slot duration
-     * \param psDuration the physical slot duration
+     * @brief set the physical slot duration
+     * @param psDuration the physical slot duration
      */
     void SetPsDuration(Time psDuration);
     /**
      * Get the physical slot duration
-     * \return the physical slot duration
+     * @return the physical slot duration
      */
     Time GetPsDuration() const;
     /**
-     * \brief set the OFDM symbol duration
-     * \param symbolDuration the symbol duration
+     * @brief set the OFDM symbol duration
+     * @param symbolDuration the symbol duration
      */
     void SetSymbolDuration(Time symbolDuration);
     /**
      * Get the OFDM symbol duration
-     * \return the symbol duration in second
+     * @return the symbol duration in second
      */
     Time GetSymbolDuration() const;
     /**
      * Get the guard interval factor (the ratio TG/Td)
-     * \return the guard interval factor
+     * @return the guard interval factor
      */
     double GetGValue() const;
     /**
-     * \brief set the number of physical slots per symbol
-     * \param psPerSymbol the number of physical slots per symbol
+     * @brief set the number of physical slots per symbol
+     * @param psPerSymbol the number of physical slots per symbol
      */
     void SetPsPerSymbol(uint16_t psPerSymbol);
     /**
      * Get the number of physical slots per symbol
-     * \return the number of physical slots per symbol
+     * @return the number of physical slots per symbol
      */
     uint16_t GetPsPerSymbol() const;
 
     /**
-     * \brief set the number of physical slots per frame
-     * \param psPerFrame the number of physical slots per frame
+     * @brief set the number of physical slots per frame
+     * @param psPerFrame the number of physical slots per frame
      */
     void SetPsPerFrame(uint16_t psPerFrame);
     /**
      * Get the number of physical slots per frame
-     * \return the number of physical slot per frame
+     * @return the number of physical slot per frame
      */
     uint16_t GetPsPerFrame() const;
     /**
-     * \brief set the number of symbols per frame
-     * \param symbolsPerFrame the number of symbols per frame
+     * @brief set the number of symbols per frame
+     * @param symbolsPerFrame the number of symbols per frame
      */
     void SetSymbolsPerFrame(uint32_t symbolsPerFrame);
     /**
      * Get the number of symbols per frame
-     * \return the number of symbols per frame
+     * @return the number of symbols per frame
      */
     uint32_t GetSymbolsPerFrame() const;
     /**
      * Check if configured in duplex mode
-     * \return true if the device is configured in duplex mode
+     * @return true if the device is configured in duplex mode
      */
     bool IsDuplex() const;
     /**
-     * \brief set the state of the device
-     * \param state the state to be set (PHY_STATE_IDLE, PHY_STATE_SCANNING, PHY_STATE_TX,
+     * @brief set the state of the device
+     * @param state the state to be set (PHY_STATE_IDLE, PHY_STATE_SCANNING, PHY_STATE_TX,
      * PHY_STATE_RX)
      */
     void SetState(PhyState state);
     /**
      * Get the state of the device
-     * \return the state of the device (PHY_STATE_IDLE, PHY_STATE_SCANNING, PHY_STATE_TX,
+     * @return the state of the device (PHY_STATE_IDLE, PHY_STATE_SCANNING, PHY_STATE_TX,
      * PHY_STATE_RX)
      */
     PhyState GetState() const;
     /**
-     * \brief scan a frequency for maximum timeout seconds and call the callback if the frequency
+     * @brief scan a frequency for maximum timeout seconds and call the callback if the frequency
      * can be used
-     * \param frequency the frequency to scan
-     * \param timeout the timeout before considering the channel as unusable
-     * \param callback the function to call if the channel could be used
+     * @param frequency the frequency to scan
+     * @param timeout the timeout before considering the channel as unusable
+     * @param callback the function to call if the channel could be used
      */
     void StartScanning(uint64_t frequency, Time timeout, Callback<void, bool, uint64_t> callback);
 
     /**
-     * \brief calls the scanning call back function
+     * @brief calls the scanning call back function
      */
     void SetScanningCallback() const;
     /**
-     * \brief Get channel search timeout event
-     * \return event ID
+     * @brief Get channel search timeout event
+     * @return event ID
      */
     EventId GetChnlSrchTimeoutEvent() const;
     /**
-     * \brief calculates the data rate of each modulation and save them for future use
+     * @brief calculates the data rate of each modulation and save them for future use
      */
     void SetDataRates();
     /**
      * Get the data rate corresponding to a modulation type
-     * \return the data rate
-     * \param modulationType the modulation that you want to get its data rate
+     * @return the data rate
+     * @param modulationType the modulation that you want to get its data rate
      */
     uint32_t GetDataRate(ModulationType modulationType) const;
     /**
      * Get transmission time needed to send bytes at a given modulation
-     * \return the time needed
-     * \param size the number of byte to transmit
-     * \param modulationType the modulation that will be used to transmit the bytes
+     * @return the time needed
+     * @param size the number of byte to transmit
+     * @param modulationType the modulation that will be used to transmit the bytes
      */
     Time GetTransmissionTime(uint32_t size, ModulationType modulationType) const;
     /**
      * Get the number of symbols needed to transmit size bytes using the modulation modulationType
-     * \return the number of symbols needed
-     * \param size the number of byte to transmit
-     * \param modulationType the modulation that will be used to transmit the bytes
+     * @return the number of symbols needed
+     * @param size the number of byte to transmit
+     * @param modulationType the modulation that will be used to transmit the bytes
      */
     uint64_t GetNrSymbols(uint32_t size, ModulationType modulationType) const;
     /**
      * Get the maximum number of bytes that could be carried by symbols symbols using the modulation
      * modulationType
-     * \param symbols the number of symbols to use
-     * \param modulationType the modulation that will be used
-     * \return the maximum number of bytes
+     * @param symbols the number of symbols to use
+     * @param modulationType the modulation that will be used
+     * @return the maximum number of bytes
      */
     uint64_t GetNrBytes(uint32_t symbols, ModulationType modulationType) const;
     /**
      * Get the transmit/receive transition gap
-     * \return the transmit/receive transition gap
+     * @return the transmit/receive transition gap
      */
     uint16_t GetTtg() const;
     /**
      * Get the receive/transmit transition gap
-     * \return the receive/transmit transition gap
+     * @return the receive/transmit transition gap
      */
     uint16_t GetRtg() const;
     /**
      * Get the frame duration code
-     * \return the frame duration code
+     * @return the frame duration code
      */
     uint8_t GetFrameDurationCode() const;
     /**
      * Get the frame duration corresponding to a given code
-     * \param frameDurationCode the frame duration code to use
-     * \return the frame duration
+     * @param frameDurationCode the frame duration code to use
+     * @return the frame duration
      */
     Time GetFrameDuration(uint8_t frameDurationCode) const;
     /**
-     * \brief computes the Physical parameters and store them
+     * @brief computes the Physical parameters and store them
      */
     void SetPhyParameters();
     void DoDispose() override;
@@ -353,17 +353,17 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     virtual int64_t AssignStreams(int64_t stream) = 0;
 
   private:
     /**
      * Get modulation FEC parameters
-     * \param modulationType the modultion type
-     * \param bitsPerSymbol the number of bits per symbol page
-     * \param fecCode the FEC code
+     * @param modulationType the modultion type
+     * @param bitsPerSymbol the number of bits per symbol page
+     * @param fecCode the FEC code
      */
     void GetModulationFecParams(ModulationType modulationType,
                                 uint8_t& bitsPerSymbol,
@@ -372,58 +372,58 @@
     void EndScanning();
     /**
      * Get transmission time
-     * \param size the transmission size
-     * \param modulationType the modulation type
-     * \returns the transmission time
+     * @param size the transmission size
+     * @param modulationType the modulation type
+     * @returns the transmission time
      */
     virtual Time DoGetTransmissionTime(uint32_t size, ModulationType modulationType) const = 0;
     /**
      * Attach channel
-     * \param channel the wimax channel
+     * @param channel the wimax channel
      */
     virtual void DoAttach(Ptr<WimaxChannel> channel) = 0;
     /// Set data rates
     virtual void DoSetDataRates() = 0;
     /**
      * Get data rate
-     * \param modulationType the modulation type
-     * \returns the data rate
+     * @param modulationType the modulation type
+     * @returns the data rate
      */
     virtual uint32_t DoGetDataRate(ModulationType modulationType) const = 0;
     /**
      * Get number of symbols
-     * \param size the transmission size
-     * \param modulationType the modulation type
-     * \returns the number of symbols
+     * @param size the transmission size
+     * @param modulationType the modulation type
+     * @returns the number of symbols
      */
     virtual uint64_t DoGetNrSymbols(uint32_t size, ModulationType modulationType) const = 0;
     /**
      * Get number of bytes
-     * \param symbols the number of symbols
-     * \param modulationType the modulation type
-     * \returns the number of bytes
+     * @param symbols the number of symbols
+     * @param modulationType the modulation type
+     * @returns the number of bytes
      */
     virtual uint64_t DoGetNrBytes(uint32_t symbols, ModulationType modulationType) const = 0;
     /**
      * Get TTG
-     * \returns the TTG
+     * @returns the TTG
      */
     virtual uint16_t DoGetTtg() const = 0;
     /**
      * Get RTG
-     * \returns the RTG
+     * @returns the RTG
      */
     virtual uint16_t DoGetRtg() const = 0;
 
     /**
      * Get frame duration code
-     * \returns the frame duration code
+     * @returns the frame duration code
      */
     virtual uint8_t DoGetFrameDurationCode() const = 0;
     /**
      * Get frame duration
-     * \param frameDurationCode the frame duration code
-     * \returns the frame duration time
+     * @param frameDurationCode the frame duration code
+     * @returns the frame duration time
      */
     virtual Time DoGetFrameDuration(uint8_t frameDurationCode) const = 0;
     /**
@@ -432,22 +432,22 @@
     virtual void DoSetPhyParameters() = 0;
     /**
      * Get sampling factor
-     * \return the sampling factor
+     * @return the sampling factor
      */
     virtual double DoGetSamplingFactor() const = 0;
     /**
      * Get NFFT
-     * \returns the NFFT
+     * @returns the NFFT
      */
     virtual uint16_t DoGetNfft() const = 0;
     /**
      * Get sampling frequency
-     * \returns the sampling frequency
+     * @returns the sampling frequency
      */
     virtual double DoGetSamplingFrequency() const = 0;
     /**
      * Get G value
-     * \returns he G value
+     * @returns he G value
      */
     virtual double DoGetGValue() const = 0;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/wimax-tlv.cc ns-3.44/src/wimax/model/wimax-tlv.cc
--- ns-3.43/src/wimax/model/wimax-tlv.cc	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/src/wimax/model/wimax-tlv.cc	2025-03-09 16:55:49.819372700 -0700
@@ -157,15 +157,15 @@
     switch (m_type)
     {
     case HMAC_TUPLE:
-        /// \todo implement Deserialize HMAC_TUPLE
+        /// @todo implement Deserialize HMAC_TUPLE
         NS_FATAL_ERROR("Not implemented-- please implement and contribute a patch");
         break;
     case MAC_VERSION_ENCODING:
-        /// \todo implement Deserialize MAC_VERSION_ENCODING
+        /// @todo implement Deserialize MAC_VERSION_ENCODING
         NS_FATAL_ERROR("Not implemented-- please implement and contribute a patch");
         break;
     case CURRENT_TRANSMIT_POWER:
-        /// \todo implement Deserialize CURRENT_TRANSMIT_POWER
+        /// @todo implement Deserialize CURRENT_TRANSMIT_POWER
         NS_FATAL_ERROR("Not implemented-- please implement and contribute a patch");
         break;
     case DOWNLINK_SERVICE_FLOW: {
@@ -181,11 +181,11 @@
         break;
     }
     case VENDOR_ID_EMCODING:
-        /// \todo implement Deserialize VENDOR_ID_EMCODING
+        /// @todo implement Deserialize VENDOR_ID_EMCODING
         NS_FATAL_ERROR("Not implemented-- please implement and contribute a patch");
         break;
     case VENDOR_SPECIFIC_INFORMATION:
-        /// \todo implement Deserialize  VENDOR_SPECIFIC_INFORMATION
+        /// @todo implement Deserialize  VENDOR_SPECIFIC_INFORMATION
         NS_FATAL_ERROR("Not implemented-- please implement and contribute a patch");
         break;
     default:
